<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('tipos_combustible', function (Blueprint $table) {
            $table->increments('id_tipo_combustible');
            $table->string('nombre', 50);
            $table->string('octanaje', 20)->nullable();
            $table->decimal('precio', 10, 2);
            $table->tinyInteger('estado')->default(1);
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('tipos_combustible');
    }
};
